/************************************************************************
*                                                                                                                                        
*    Test du module Pmod FET de puissance                                           
*                                                                    
*************************************************************************
* Description:  Pmod_OD1                                                
* Un moteur accélère progressivement pendant 2.5 s puis reste en régime 
* permanent pendant 5 s et décèlère pendant 2.5 s puis reste arrêté 
* pendant 5s.
*  
* Matériel
*        1. Arduino Uno                                       
*        2. Module Pmod FET de puissance (laisser le cavalier en place)
*        3. Moteur à courant continu 5 V
*        
************************************************************************/
#define mot 3
int i;

void setup()
{
  pinMode(mot,OUTPUT);            // broche 3 configurée en sortie (PWM)
}

void loop()
{
  for(i = 0; i < 256; i++)               
  {
    analogWrite(mot,i);          // le moteur accélère
    delay(10);     
  }
  delay(5000);
  for(i = 0; i < 256; i++)               
  {
    analogWrite(mot,255-i);          // le moteur décèlere
    delay(10);     
  }
  delay(5000);
}


